<template>
  <div class="Pipeline">
    <el-table class="tableBox" :data="tableData" border>
      <el-table-column width="30px" label="">
        <template>
          <i class="el-icon-caret-right"></i>
          <span style="margin-left: 10px"></span>
        </template>
      </el-table-column>
      <el-table-column label="序号" width="60px" type="index"></el-table-column>
      <el-table-column prop="date" label="企业名称"></el-table-column>
      <el-table-column prop="name" label="管线总长度（km）"></el-table-column>
      <el-table-column prop="province" label="周边环境 "></el-table-column>
      <el-table-column prop="city" label="拦截设施"></el-table-column>
      <el-table-column prop="address" label="内外排口"></el-table-column>
    </el-table>
  </div>
</template>

<script>
import mapApi from '@/api/mapApi'
export default {
  name: 'Pipeline',
  data () {
    return {
      tableData: null
    }
  },
  async mounted () {
    this.tableData = await mapApi.getPipelineStatistics()
  }
}
</script>

<style scoped>

</style>
